import { Action } from '@ngrx/store';

export enum ActionType {
  SigninRedirect = '[app.signin] SigninRedirect',
  SigninCookie = '[app.signin] SigninCookie',
}

export class SigninRedirect implements Action {
  readonly type = ActionType.SigninRedirect;

  constructor(public payload: {returnURL: string}) {}
}

export class SigninCookie implements Action {
  readonly type = ActionType.SigninCookie;

  constructor(public payload: { authToken: string, returnURL: string }) { }
}


export type Actions =
  | SigninRedirect
  | SigninCookie
;
